/// <reference types="express" />
/// <reference types="qs" />
import winston from "winston";
declare function createLoggerMiddleware(confidentialHeaders?: string[]): import("express").Handler;
declare function createErrorLoggerMiddleware(confidentialHeaders?: string[]): import("express").ErrorRequestHandler<import("express-serve-static-core").ParamsDictionary, any, any, import("qs").ParsedQs, Record<string, any>>;
declare const logger: winston.Logger;
export { logger, createLoggerMiddleware, createErrorLoggerMiddleware };
