"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timeout = exports.randomSixDigitNumber = exports.pipe = void 0;
function pipe() {
    var fns = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        fns[_i] = arguments[_i];
    }
    return function (x) { return fns.reduce(function (v, f) { return f(v); }, x); };
}
exports.pipe = pipe;
function randomSixDigitNumber() {
    return Math.floor(100000 + Math.random() * 900000);
}
exports.randomSixDigitNumber = randomSixDigitNumber;
function timeout(ms) {
    return new Promise(function (resolve) { return setTimeout(resolve, ms); });
}
exports.timeout = timeout;
